%define name perl-PGP-GPG-MessageProcessor
%define realname PGP-GPG-MessageProcessor
%define version 0.4.5
%define release 4mdk

Name:		%{name}
Summary:	Perl module that supplies object methods for interacting with GnuPG
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Perl
URL:		http://www.cpan.org
Source:		%{realname}-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-buildroot
Buildarch:	noarch

%description
This module provides an interface to the encryption/decryption/signing/
verifying methods of GNU Privacy Gaurd.  It does not provide keyring
manipulation.

%prep -q
rm -rf $RPM_BUILD_ROOT

%setup -n %{realname}-%{version}

%build

CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
make
make test

%install

rm -rf $RPM_BUILD_ROOT
make PREFIX=$RPM_BUILD_ROOT%{_prefix} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING  MANIFEST NEWS  README  TODO
%{perl_vendorlib}/PGP/GPG/*
%_mandir/*/*

%changelog
* Thu Aug 29 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.4.5-4mdk
- rebuild

* Thu Aug 23 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.5-3mdk
- rebuild

* Tue Sep 12 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.4.5-2mdk
- macros

* Wed Jun 21 2000 Vincent Danen <vdanen@linux-mandrake.com> 0.4.5-1mdk
- initial specfile
- bzip sources
